Subject: bug#14574: prog-prettify-symbols breaks font-locking

From: Ted Zlatanov <[email-masked]>
Date: Sun, 16 Jun 2013 07:25:09 -0400

On Sun, 16 Jun 2013 12:11:20 +0200 Juanma Barranquero <[email-masked]> wrote: 

JB> On Sun, Jun 16, 2013 at 11:34 AM, Ted Zlatanov <[email-masked]> wrote:
>> Or should it be lower level, where font-lock mode remembers "prettify"
>> compositions as a text property?  That would work regardless of
>> `prog-prettify-symbols-alist' and would not require an unload hook.  It
>> would also work if we add prettification in other modes, not just
>> `prog-mode'.

JB> Yes, that's better IMHO. In fact, I like Dmitry's suggestion:

>> Maybe we should make a font-lock-specific alias for `composition', like
>> `font-lock-face' is for `face', and use that.

JB> Seems the saner alternative if we are piggybacking into font-lock to
JB> do composition...

OK.  Unfortunately I don't know font-lock well at all, so I would
appreciate it if someone else could implement this.

Ted